//
//  RCTConvert+Extension.m
//  RCTAMap
//
//  Created by 王继荣 on 04/08/2017.
//  Copyright © 2017 cn.wonderbear. All rights reserved.
//

#import "RCTConvert+Extension.h"

@implementation RCTConvert (Extension)

+ (AMapCoordinate*)AMapCoordinate:(id)json
{
    AMapCoordinate *coord = [AMapCoordinate new];
    coord.coordinate = [self CLLocationCoordinate2D:json];
    return coord;
}

RCT_ARRAY_CONVERTER(AMapCoordinate)

+ (AMapAnnotation*)AMapAnnotation:(id)json
{
    AMapAnnotation *anno = [AMapAnnotation new];
    anno.annotationId = json[@"id"] == nil ? 0 : [self int:json[@"id"]];
    anno.annotationType = json[@"type"] == nil ? nil : [self NSString:json[@"type"]];
    anno.annotationImage = json[@"image"] == nil ? nil : [self NSString:json[@"image"]];
    anno.coordinate = [self CLLocationCoordinate2D:json[@"coordinate"]];
    anno.title = json[@"title"] == nil ? nil : [self NSString:json[@"title"]];
    return anno;
}

RCT_ARRAY_CONVERTER(AMapAnnotation)

+ (AMapNaviEndPoint*)AMapNaviEndPoint:(id)json
{
    AMapNaviEndPoint *point = [AMapNaviEndPoint new];
    point.location = [self CLLocationCoordinate2D:json[@"location"]];
    point.name = [self NSString:json[@"name"]];
    point.mid = [self NSString:json[@"POIId"]];
    return point;
}

RCT_ARRAY_CONVERTER(AMapNaviEndPoint)

@end
